FROM python:3.10-slim

WORKDIR /app

# Install Python dependencies
COPY requirements.txt .
RUN pip install --no-cache-dir -r requirements.txt

COPY . .
#just keep the container running without doing anything
#CMD ["sh", "-c", "while :; do sleep 10; done"]

# Run apply_test_schema.py, then insert_csv_embeddings.py
CMD ["sh", "-c", "python apply_test_schema.py && python insert_csv_embeddings.py"]

